Announcement

Collapse
No announcement yet.

Android Packaging isn't working because of Gradle

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • replied
    I am also getting the same problem in unreal 4,25.1

    Leave a comment:


  • replied
    Originally posted by smbv1 View Post
    Everyone is wrong here; the module has updated. I had the same problem. While you install SDK there is one updated module you have to unselect all first and only select Updated module and update it, then Gradle is going to work, nothing else will help, I surprised Epic Developers are not aware of such an issue.
    i am an android developer. So just a small doubt. How to get gradle in unreal engine? I want to add firebase to project in unreal engine? How to do that?

    Leave a comment:


  • replied
    i have tried all the suggestions here, and i still can't get the keystore key to run. it tells me keytool is invalid. i updated the java pack, added paths to everywhere, the stuff is all in the right places and i keep getting the error. i cannot move forward until i get this sorted out and am at a loss as to what to try next.

    Leave a comment:


  • replied
    Originally posted by JellyBeanNL View Post
    It works but, only if you have got your files installed from codeworks first. Thank you to Paul Eckhardt on "the question authority".site.

    Click image for larger version  Name:	collage.jpg Views:	556 Size:	122.2 KB ID:	1499559
    on your pics, the area you circled, where did you find the info to put there? i've had to create so many different google pages for different keys and such that i am unsure where this info would be located? this is my first time setting this up. i cannot get the accept SDK license to actually 'accept' so i am hoping this solves the issue if i can find where to locate the info to put there....
    Last edited by Ravencroft3D; 03-28-2020, 05:46 AM.

    Leave a comment:


  • replied
    Originally posted by gameDNA studio View Post
    Go to Project Settings -> Android -> and click on button "Accept SDK License".
    no matter how many times i click on it and accept it... it does not take. i never grays out or accepts my 'accept' click. suggestions? using 4.24.

    Leave a comment:


  • replied
    Hello! I need your help. I faced the same problem. all of the above did not help me.
    сhooser.exe does not update anything. and android.bat doesn’t update anything. I indicated the path to the SDK and NDK in the engine. I accepted the license. but still getting this error.
    please help me. I'm desperate

    Leave a comment:


  • replied
    Also having issues packaging. Extract of log below

    [2020.01.16-06.36.26:215][550]UATHelper: Packaging (Android (ASTC)): :downloader_library:generateDebugSources UP-TO-DATE
    [2020.01.16-06.36.26:215][550]UATHelper: Packaging (Android (ASTC)): :downloader_library:javaPreCompileDebug UP-TO-DATE
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): :downloader_library:compileDebugJavaWithJavac FAILED
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): FAILURE: Build failed with an exception.
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): * What went wrong:
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): Execution failed for task ':downloader_library:compileDebugJavaWithJavac'.
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): > Could not find tools.jar. Please check that C:\Program Files\Java\jre1.8.0_231 contains a valid JDK installation.
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): * Try:
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): * Get more help at https://help.gradle.org
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): BUILD FAILED in 21s
    [2020.01.16-06.36.26:552][551]UATHelper: Packaging (Android (ASTC)): 30 actionable tasks: 3 executed, 27 up-to-date
    [2020.01.16-06.36.27:218][552]UATHelper: Packaging (Android (ASTC)): ERROR: cmd.exe failed with args /c "C:\Users\Dino\Documents\Unreal Projects\DEBCalProject\Intermediate\Android\APK\gradle\rungradle.bat" :app:assembleDebug
    [2020.01.16-06.36.27:218][552]UATHelper: Packaging (Android (ASTC)): (see C:\Users\Dino\AppData\Roaming\Unreal Engine\AutomationTool\Logs\C+Program+Files+Epic+Games+UE_4.24\Log.txt for full exception trace)
    [2020.01.16-06.36.27:218][552]UATHelper: Packaging (Android (ASTC)): AutomationTool exiting with ExitCode=1 (Error_Unknown)
    [2020.01.16-06.36.27:218][552]UATHelper: Packaging (Android (ASTC)): BUILD FAILED
    [2020.01.16-06.36.27:218][552]PackagingResults: Error: Unknown Error
    [2020.01.16-06.37.48:889][909]LogSlate: Took 0.013221 seconds to synchronously load lazily loaded font '../../../Engine/Content/Slate/Fonts/DroidSansMono.ttf' (77K)

    It fails at ":downloader_library:compileDebugJavaWithJavac FAILED" apparently because it cannot find tools.jar, which sure enough does not exist anywhere on my PC. Best I can tell I have jre1.8.0_231 installed. So why does it not contain tool.jar? or how can I get tools.jar?

    I have gone to Android Codeworks chooser.exe and have updated what I could. I have a problem with the NVidia Tegra installation though, it keeps complaining that no Visual Studio is installed (even though it is) and stops the installation. From what I read, UnReal prefers VS 2015 (I cannot find it online) but does work with VS2019, which I have installed.

    I am currently updating Android SDK via the android.bat command mentioned by Mint Gorillaz.

    Any assistance is welcome.

    P.S. --> just cannot understand why devs don't simplify installation processes. It's rather frustrating to waste so much time just getting everything setup. I fiddled with UnReal now for 5 years and have very little to show for it. It took me 3 months to self-learn Unity and produce an end product.

    Leave a comment:


  • replied
    I tried EVERYTHING after searching for hours and eventually I found a fix for me...

    •Exit the engine entirely and close out anything that might be using gradle.
    •Go to "C:\Users\*USERNAME*\.gradle" and delete the "cache" folder. Or rename it "cacheBACKUP" or something to be cautious.

    Worked like a charm for me.

    Leave a comment:


  • replied
    Im unable to locate
    NVPACK\android-sdk-windows\tools\android.bat ?

    Leave a comment:


  • replied
    It works but, only if you have got your files installed from codeworks first. Thank you to Paul Eckhardt on "the question authority".site.

    Click image for larger version

Name:	collage.jpg
Views:	1109
Size:	122.2 KB
ID:	1499559
    Attached Files

    Leave a comment:


  • replied
    With Gradle you need to have the Android Support Repository and Android Support Library

    I was having problems with packaging too, but I realized that I was missing a repository. After having a look at the logs your issue seems the same.

    This solved my issue with failed packaging - >

    Go to - NVPACK\android-sdk-windows\tools\android.bat

    Downloaded/Update Android Support Repository and Android Support Library

    It should be at the bottom

    Package again and it will work. Assuming everything else is set up properly.

    Leave a comment:


  • replied
    If internet is not available you have to setup proxy.
    https://docs.nvidia.com/gameworks/co...ks_welcome.htm

    Leave a comment:


  • replied
    I will help you once Unreal Engone documentation will be back online
    https://docs.unrealengine.com/Defaul...has%20occurred

    Leave a comment:


  • replied
    Dannington smbv1 I'm encountering the same error where I can't see 1R6u1 in the installer, just 1R6. Were you able to get this working? I'm on 4.18. And smbv1, mind clarifying what you mean by download it from the internet? What am I trying to download? Is it possible to correct through just the provided installer? Thanks!

    Leave a comment:


  • replied
    Because you need to download it from the internet.

    Leave a comment:

Working...
X